> ## Documentation Index
> Fetch the complete documentation index at: https://whitelabelled-staking-docs.adamik.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Chain Details

> Retrieves detailed information about a specific blockchain network identified by chain ID.



## OpenAPI

````yaml openapi.json get /api/chains/{chainId}
openapi: 3.1.0
info:
  title: Adamik
  version: 0.1.0
  description: Adamik API reference
servers:
  - url: https://api.adamik.io
security:
  - ApiKeyAuth: []
paths:
  /api/chains/{chainId}:
    get:
      tags:
        - Chain
      summary: Get Chain Details
      description: >-
        Retrieves detailed information about a specific blockchain network
        identified by chain ID.
      parameters:
        - in: path
          name: chainId
          description: Unique adamik identifier of the chain
          schema:
            $ref: '#/components/schemas/ChainId'
          required: true
      responses:
        '200':
          description: >-
            Successfully returns detailed data about the specified blockchain,
            including its identifier, name, family classification, supported
            units of currency, and additional configuration parameters.
          content:
            application/json:
              schema:
                type: object
                properties:
                  chain:
                    type: object
                    properties:
                      family:
                        type: string
                        enum:
                          - algorand
                          - cosmos
                          - evm
                          - bitcoin
                          - tron
                          - ton
                          - starknet
                      id:
                        $ref: '#/components/schemas/ChainId'
                      nativeId:
                        type: string
                      name:
                        type: string
                      ticker:
                        type: string
                      decimals:
                        type: number
                      isTestnetFor:
                        type: string
                      supportedFeatures:
                        $ref: '#/components/schemas/ChainSupportedFeatures'
                      signerSpec:
                        $ref: '#/components/schemas/SignerSpec'
                    required:
                      - family
                      - id
                      - nativeId
                      - name
                      - ticker
                      - decimals
                      - supportedFeatures
                      - signerSpec
                required:
                  - chain
components:
  schemas:
    ChainId:
      type: string
      enum:
        - algorand
        - ethereum
        - sepolia
        - holesky
        - zksync
        - zksync-sepolia
        - injective-evm-testnet
        - base
        - base-sepolia
        - optimism
        - optimism-sepolia
        - arbitrum
        - arbitrum-sepolia
        - polygon
        - polygon-amoy
        - bsc
        - bsc-testnet
        - linea
        - linea-sepolia
        - avalanche
        - avalanche-fuji
        - gnosis
        - gnosis-chiado
        - moonbeam
        - moonriver
        - moonbase
        - fantom
        - mantle
        - chiliz
        - chiliz-testnet
        - ton
        - tron
        - rootstock
        - rootstock-testnet
        - bitcoin
        - bitcoin-testnet
        - bitcoin-signet
        - litecoin
        - dogecoin
        - starknet
        - monad-testnet
        - bitsong
        - chihuahua
        - seda
        - persistence
        - comdex
        - humans-ai
        - ki
        - mars-hub
        - provenance
        - quicksilver
        - saga
        - ux-chain
        - kava
        - sei
        - fetch-ai
        - cosmoshub
        - osmosis
        - celestia
        - dydx
        - axelar
        - evmos
        - irisnet
        - juno
        - lum-network
        - omniflix
        - medibloc
        - passage
        - quasar
        - sommelier
        - shentu
        - stride
        - neutron
        - terra2
        - akash
        - dymension
        - band
        - stargaze
        - kyve
        - likecoin
        - osmosis-testnet
        - celestia-testnet
        - cosmoshub-testnet
        - injective
        - babylon
        - babylon-testnet
        - berachain
        - berachain-artio
        - cronos
        - world-chain
      description: Unique adamik identifier of the chain
      example: bitcoin
    ChainSupportedFeatures:
      type: object
      properties:
        read:
          type: object
          properties:
            token:
              type: boolean
            validators:
              type: boolean
            transaction:
              type: object
              properties:
                native:
                  type: boolean
                tokens:
                  type: boolean
                staking:
                  type: boolean
              required:
                - native
                - tokens
                - staking
            account:
              type: object
              properties:
                balances:
                  type: object
                  properties:
                    native:
                      type: boolean
                    tokens:
                      type: boolean
                    staking:
                      type: boolean
                  required:
                    - native
                    - tokens
                    - staking
                transactions:
                  type: object
                  properties:
                    native:
                      type: boolean
                    tokens:
                      type: boolean
                    staking:
                      type: boolean
                  required:
                    - native
                    - tokens
                    - staking
              required:
                - balances
                - transactions
          required:
            - token
            - validators
            - transaction
            - account
        write:
          type: object
          properties:
            transaction:
              type: object
              properties:
                type:
                  type: object
                  properties:
                    deployAccount:
                      type: boolean
                    transfer:
                      type: boolean
                    transferToken:
                      type: boolean
                    stake:
                      type: boolean
                    unstake:
                      type: boolean
                    claimRewards:
                      type: boolean
                    withdraw:
                      type: boolean
                    registerStake:
                      type: boolean
                  additionalProperties: false
                field:
                  type: object
                  properties:
                    memo:
                      type: boolean
                  required:
                    - memo
              required:
                - type
                - field
          required:
            - transaction
        utils:
          type: object
          properties:
            addresses:
              type: boolean
          required:
            - addresses
      required:
        - read
        - write
        - utils
      description: List of supported features for the chain
    SignerSpec:
      type: object
      properties:
        curve:
          type: string
          enum:
            - secp256k1
            - ed25519
            - stark
        hashFunction:
          type: string
          enum:
            - sha256
            - keccak256
            - sha512_256
            - pedersen
        signatureFormat:
          type: string
          enum:
            - rsv
            - rs
        coinType:
          type: string
      required:
        - curve
        - hashFunction
        - signatureFormat
        - coinType
      description: List of signer specificity for the chain
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````